package com.aiup.service.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户许可表(UserLicense)实体类
 *
 * @author makejava
 * @since 2023-08-22 12:54:44
 */

@ApiModel("用户许可表")
public class UserLicense implements Serializable {
    private static final long serialVersionUID = 719846439302945111L;
    /**
     * ID
     */    
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 用户ID
     */    
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
    /**
     * 开始时间
     */    
    @ApiModelProperty(value = "开始时间")
    private Date beginTime;
    /**
     * 结束时间
     */    
    @ApiModelProperty(value = "结束时间")
    private Date endTime;
    /**
     * 创建时间
     */    
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 是否删除
     */    
    @ApiModelProperty(value = "是否删除")
    private Integer isDeleted;
    /**
     * 修改时间
     */    
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

